Page MenuHomePhabricator

wikibase.entityPage.entityLoaded.js runs on the main page and produces invalid request
Open, LowPublicBUG REPORT

Description

When you visit the main page (or a different page in the project namespace on wikidata), an invalid request like https://www.wikidata.org/wiki/Special:EntityData/null.json?revision=966434331 is made.

This is where the call happens
https://github.com/wikimedia/mediawiki-extensions-Wikibase/blob/master/repo/resources/wikibase.entityPage.entityLoaded.js#L72
the entityid (which is null) comes from here
https://github.com/wikimedia/mediawiki-extensions-Wikibase/blob/master/repo/resources/wikibase.entityPage.entityLoaded.js#L61
we shouldnt do this call if the entity id is null..

Acceptance Criteria

  • The call is no longer made on non entity pages

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2019, 11:15 AM

@Addshore and @alaa_wmde: Could you have a look and check if this is serious?

Indeed this seems to happen when logged in and should be fixed.
Probably fallout from T85499

Appears to be resolved when checked on main page (no request to https://www.wikidata.org/wiki/Special:EntityData/null.json has been detected).

Addshore closed this task as Resolved.Oct 28 2019, 8:20 AM
Addshore claimed this task.

Also looks good to me

Restricted Application added a project: User-Addshore. · View Herald TranscriptOct 28 2019, 8:20 AM
matej_suchanek reopened this task as Open.Oct 28 2019, 11:00 AM
matej_suchanek removed Addshore as the assignee of this task.
matej_suchanek removed a project: TestMe.

Still can reproduce (without safemode=1).

Addshore triaged this task as Low priority.Oct 29 2019, 10:33 AM

Hmm, yes, I can now reproduce this again. (Not sure if I just missed this when checking last time).

Not serious but shouldn't be happening.
Should be a very easy fix.

This is where the call happens
https://github.com/wikimedia/mediawiki-extensions-Wikibase/blob/master/repo/resources/wikibase.entityPage.entityLoaded.js#L72
the entityid (which is null) comes from here
https://github.com/wikimedia/mediawiki-extensions-Wikibase/blob/master/repo/resources/wikibase.entityPage.entityLoaded.js#L61
we shouldnt do this call if the entity id is null..

Addshore updated the task description. (Show Details)Oct 29 2019, 10:34 AM
Addshore updated the task description. (Show Details)
Addshore moved this task from incoming to consider for next sprint on the Wikidata board.

Still happening, confirmed by @Addshore

For starters: define a list of steps to reproduce the problem